Bug 1299607 - DNF cannot resolve deps to install elfutils-libs.i686 on x86_64
DNF cannot resolve deps to install elfutils-libs.i686 on x86_64
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 13:25 EST by Jonathan Wakely
Modified: 2016-11-24 11:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-24 11:07:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Wakely 2016-01-18 13:25:23 EST
# dnf install elfutils-libs.i686 
Last metadata expiration check performed 0:03:19 ago on Mon Jan 18 18:21:04 2016.
Error: package elfutils-libs-0.163-4.fc23.i686 requires libbz2.so.1, but none of the providers can be installed
(try to add '--allowerasing' to command line to replace conflicting packages)
#
# dnf install elfutils-libs.i686 bzip2-libs.i686 
Last metadata expiration check performed 0:03:50 ago on Mon Jan 18 18:21:04 2016.
Dependencies resolved.
===========================================================================
 Package               Arch       Version              Repository     Size
===========================================================================
Installing:
 bzip2-libs            i686       1.0.6-18.fc23        updates        45 k
 elfutils-libelf       i686       0.163-4.fc23         fedora        212 k
 elfutils-libs         i686       0.163-4.fc23         fedora        295 k
 xz-libs               i686       5.2.1-3.fc23         fedora         97 k
 zlib                  i686       1.2.8-9.fc23         fedora         98 k

Transaction Summary
===========================================================================
Install  5 Packages

Total download size: 748 k
Installed size: 2.1 M
Is this ok [y/N]: 
Operation aborted.


Why do I need to resolve the dependencies by hand, when they're in the repo and can be installed without problems?
Comment 1 Honza Silhan 2016-01-19 10:13:04 EST
we'll take a look.
Comment 2 Michael Schröder 2016-05-20 08:06:46 EDT
My guess is it's because of the lockstep rules. I think that for some reason bzip2-libs-1.0.6-18.fc23 is not available for x86_64, so dnf refuses to install the i686 version.

If you put bzip2-libs.i686 on the command line, you disable the lockstep for that package.
Comment 3 Fedora Admin XMLRPC Client 2016-07-08 05:35:49 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2016-11-24 10:02:17 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Jonathan Wakely 2016-11-24 10:54:34 EST
I can't reproduce this with F24.

Note You need to log in before you can comment on or make changes to this bug.